# $Revision: 1.19 $, $Date: 2005/12/29 17:25:54 $
Summary:	The Helix Player - Helix Community's open source media player for consumers
Summary(pl):	Helix Player - otwarty odtwarzacz multimediw Helix Community dla uytkownikw
Name:		helixplayer
Version:	1.0.6
Release:	3
License:	RPSL or GPL v2+
Group:		Applications/Multimedia
#Source0Download: https://helixcommunity.org/project/showfiles.php?group_id=154
Source0:	https://helixcommunity.org/download.php/1585/hxplay-%{version}.tar.bz2
# Source0-md5:	824183372ea84570444fe946b43afac4
Patch0:		%{name}-system-libs.patch
Patch1:		%{name}-morearchs.patch
Patch2:		%{name}-desktop.patch
URL:		https://player.helixcommunity.org/
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel >= 2:1.2.5
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel >= 1.1.4
Provides:	helix-core
# i386 lacks atomic add instruction
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_helixplayerdir %{_libdir}/%{name}

%description
The Helix Player is the Helix Community's open source media player for
consumers.

%description -l pl
Helix Player to odtwarzacz multimediw Helix Community z otwartymi
rdami przeznaczony dla uytkownikw kocowych.

%prep
%setup -q -n hxplay-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# expat is modified (based on mozilla?)
# libjpeg is compiled with different config (BGRx instead of RGB)
# so only these can be replaced by system ones
rm -rf common/import/{bzip2,zlib} datatype/image/png/import/libpng

sed -i -e "s/'gcc'/'%{__cc}'/;s/'g++'/'%{__cxx}'/;s/'-O2'/'%{rpmcflags}'/" build/umakecf/gcc.cf

%build
echo 'SetSDKPath("oggvorbissdk", "%{_prefix}")' > buildrc
export BUILDRC=`pwd`/buildrc
export BUILD_ROOT=`pwd`/build
# make threads - maybe parse make -j?
export RIBOSOME_THREADS=1
PATH="$PATH:`pwd`/build/bin"
python build/bin/build \
	-m hxplay_gtk_release \
	-P helix-client-all-defines-free \
	%{!?debug:-t release} \
	player_all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_helixplayerdir},%{_pixmapsdir},%{_desktopdir},%{_bindir}}

cp -a player/installer/archive/temp/* $RPM_BUILD_ROOT%{_helixplayerdir}
rm -rf $RPM_BUILD_ROOT%{_helixplayerdir}/Bin
rm -rf $RPM_BUILD_ROOT%{_helixplayerdir}/postinst
install player/installer/archive/temp/share/hxplay.desktop $RPM_BUILD_ROOT%{_desktopdir}
install player/installer/archive/temp/share/hxplay.png $RPM_BUILD_ROOT%{_pixmapsdir}
install -d $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins
ln -sf ../../%{name}/mozilla/nphelix.so $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/nphelix.so
ln -sf ../../%{name}/mozilla/nphelix.xpt $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/nphelix.xpt
sed -i -e "s%#[ \t]*HELIX_LIBS[ \t]*=.*%HELIX_LIBS=%{_helixplayerdir} ; export HELIX_LIBS%" $RPM_BUILD_ROOT%{_helixplayerdir}/hxplay
ln -sf %{_libdir}/%{name}/hxplay $RPM_BUILD_ROOT%{_bindir}/hxplay

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hxplay
%dir %{_helixplayerdir}
%attr(755,root,root) %{_helixplayerdir}/hxplay
%attr(755,root,root) %{_helixplayerdir}/hxplay.bin
%attr(755,root,root) %{_helixplayerdir}/codecs
%attr(755,root,root) %{_helixplayerdir}/common
%attr(755,root,root) %{_helixplayerdir}/lib
%attr(755,root,root) %{_helixplayerdir}/mozilla
%attr(755,root,root) %{_helixplayerdir}/plugins
%{_helixplayerdir}/share
%{_helixplayerdir}/README
%{_helixplayerdir}/LICENSE
%attr(755,root,root) %{_libdir}/mozilla/plugins/nphelix.so
%attr(755,root,root) %{_libdir}/mozilla/plugins/nphelix.xpt
%{_desktopdir}/hxplay.desktop
%{_pixmapsdir}/hxplay.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: helixplayer.spec,v $
Revision 1.19  2005/12/29 17:25:54  qboosh
- set RIBOSOME_THREADS=1 to avoid reading /proc/cpuinfo
- release 3

Revision 1.18  2005/12/03 20:51:04  qboosh
- release 2

Revision 1.17  2005/12/02 19:21:07  qboosh
- updated to 1.0.6 (fixes CVE-2005-2629)
- updated system-libs patch

Revision 1.16  2005/11/05 06:39:31  qboosh
- release 1

Revision 1.15  2005/11/05 06:28:32  qboosh
- updated morearchs patch: builds on i486+/x86_64,alpha,ppc,sparc now; i386 is not supported

Revision 1.14  2005/11/04 19:23:09  paszczus
- fix for amd64 (lib64) /usr/bin/hxplay -> /usr/lib64/helixplayer/hxplay

Revision 1.13  2005/10/20 09:03:34  qboosh
- fixed system-libs patch, added desktop patch, package .desktop

Revision 1.12  2005/10/17 21:04:20  djurban
- update to 1.0.5, provide helix-core

Revision 1.11  2005/04/03 18:51:39  darekr
- killed dup dirs

Revision 1.10  2005/03/04 20:53:05  qboosh
- updated to 1.0.3, updated system-libs patch; .desktop requires patch...

Revision 1.9  2004/12/22 16:58:28  troll
- updated to 1.0.2

Revision 1.8  2004/11/21 00:36:42  qboosh
- use updated system-libs patch to use system libpng and zlib
  (possibly security fix, as there was vulnerable libpng-1.2.5 included)

Revision 1.7  2004/11/18 07:34:25  qboosh
- added morearchs patch, use optflags
- build "release" version, not "debug"

Revision 1.6  2004/11/18 00:34:38  qboosh
- added system-libs patch to use shared lib{ogg,vorbis,theora}; more to follow

Revision 1.5  2004/11/18 00:26:22  qboosh
- build-time security fix

Revision 1.4  2004/11/12 13:26:20  troll
- changes by Grzegorz Grasza <grozo at pawlacz.com>

Revision 1.3  2004/07/08 20:42:53  havner
- builds, no %files, NFY

Revision 1.2  2004/04/04 11:11:06  qboosh
- pl

Revision 1.1  2004/04/04 02:21:33  arekm
- initial pld release; raw
